<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>tests/cases/lists-ul.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/lists-ul.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/lists-ul.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>/**
<a name="line4"></a> * @package PHPDoctor\Tests
<a name="line5"></a> */
<a name="line6"></a>class TestListsUl extends DoctorTestCase
<a name="line7"></a>{
<a name="line8"></a>	
<a name="line9"></a>    var $output;
<a name="line10"></a>    
<a name="line11"></a>	function testListsUl() {
<a name="line12"></a>        $this->DoctorTestCase('List (ul) tests');
<a name="line13"></a>		
<a name="line14"></a>		$this->clearOutputDir();
<a name="line15"></a>		
<a name="line16"></a>		$this->setIniFile('lists-ul.ini');
<a name="line17"></a>		$this->runPhpDoctor();
<a name="line18"></a>		
<a name="line19"></a>		$this->output = $this->readOutputFile('phpdoctor/tests/listsul.html');
<a name="line20"></a>	}
<a name="line21"></a>	
<a name="line22"></a>	function testListConversion() {
<a name="line23"></a>		
<a name="line24"></a>		// This is actually not the way it should be done, but I'm a bit short of time. So here's just a check that
<a name="line25"></a>		// the testcase doc as a whole comes out as expected, instead of testing one issue at a time.
<a name="line26"></a>		
<a name="line27"></a>		$expected = <<<EXPECTED
<a name="line28"></a><p>class ListsUl.</p>|<p>Process a *doc comment* with unordered lists.</p>
<a name="line29"></a>
<a name="line30"></a><ul>
<a name="line31"></a><li>They could use 'o'.</li>
<a name="line32"></a><li>Or they could use '-'</li>
<a name="line33"></a><li>Or +, or #.</li>
<a name="line34"></a></ul>
<a name="line35"></a>
<a name="line36"></a><p>They can start directly after a paragraph, without a blank line in between:</p>
<a name="line37"></a>
<a name="line38"></a><ul>
<a name="line39"></a><li>Like this. This is a list item.</li>
<a name="line40"></a><li>The second and last list item. Again, we don't need a blank line afterwards.</li>
<a name="line41"></a></ul>
<a name="line42"></a>
<a name="line43"></a><p>This line is not part of the list anymore.</p>|<p>We also accept multi-line list items:</p>
<a name="line44"></a>
<a name="line45"></a><ul>
<a name="line46"></a><li>This is the first list item, and it goes on and on and
<a name="line47"></a>on into a second line.</li>
<a name="line48"></a><li>This one doesn't.</li>
<a name="line49"></a><li>This is another long one. It, too, spills over into
<a name="line50"></a>a second line because of its wordiness, and it continues
<a name="line51"></a>even further into a third.</li>
<a name="line52"></a></ul>
<a name="line53"></a>
<a name="line54"></a><p>Lines containing just a bullet point character are not considered part of any list:
<a name="line55"></a>-</p>
<a name="line56"></a>
<a name="line57"></a><ul>
<a name="line58"></a><li>But here comes the first real bullet point.</li>
<a name="line59"></a><li>Another bullet point.</li>
<a name="line60"></a><li>The list goes on even if there is a blank line in between. Here it is.</li>
<a name="line61"></a><li>And we have passed it. It makes sense to capture this because people sometimes spread the
<a name="line62"></a>list items a little. Especially if they have more text in a second line and even more in
<a name="line63"></a>a third.</li>
<a name="line64"></a><li><p class="list">There might be list items which are rather large and in fact consist of several paragraphs.
<a name="line65"></a>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam blandit, ipsum id porta
<a name="line66"></a>sollicitudin.</p><p class="list">Dolor dui mattis libero, eget elementum quam tortor a tortor. Fusce turpis lectus, varius
<a name="line67"></a>ut dictum id, mollis eu elit. Morbi magna orci, tincidunt sit amet sagittis eget, rutrum
<a name="line68"></a>eget orci. Vestibulum tempus feugiat dui nec.</p><p class="list">In nibh velit, luctus id pulvinar eget, tincidunt et sapien. Curabitur sagittis mollis purus,
<a name="line69"></a>nec commodo augue hendrerit quis. Cum sociis natoque penatibus et magnis dis parturient montes!</p></li>
<a name="line70"></a><li>And an item #6. Enough.</li>
<a name="line71"></a></ul>
<a name="line72"></a>
<a name="line73"></a><p>And more text, not part of the preceding list.</p>|<p>Lists don't have to be aligned stricty because any accidental hit on the space bar would throw
<a name="line74"></a>detection off.</p>
<a name="line75"></a>
<a name="line76"></a><ul>
<a name="line77"></a><li>This is the first list item.</li>
<a name="line78"></a><li>This is the second.</li>
<a name="line79"></a><li>And a third.</li>
<a name="line80"></a></ul>
<a name="line81"></a>
<a name="line82"></a><p>The same is true for whitespace behind the bullet point.</p>
<a name="line83"></a>
<a name="line84"></a><ul>
<a name="line85"></a><li>This is the first list item.</li>
<a name="line86"></a><li>This is the second.</li>
<a name="line87"></a><li>And a third.</li>
<a name="line88"></a></ul>
<a name="line89"></a>
<a name="line90"></a><p>Finally, a single line with a bullet point could be anything and won't be treated as
<a name="line91"></a>a list. Because it takes at least two ...</p>|<p>- ... to tango. This is not a list.</p>|<p>That's it for unordered lists.</p>|</div>
<a name="line92"></a>
<a name="line93"></a><dl>
<a name="line94"></a><dt>Author:</dt>
<a name="line95"></a><dd>I don't care who did it, but we want to have a tag here.</dd>
<a name="line96"></a></dl>
<a name="line97"></a>EXPECTED;
<a name="line98"></a>
<a name="line99"></a>		$this->assertStringContains($expected, $this->output, true); 
<a name="line100"></a>	}
<a name="line101"></a>	
<a name="line102"></a>}
<a name="line103"></a>
<a name="line104"></a>?>
<a name="line105"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/lists-ul.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>